part of 'generated.dart';

class DeleteTaxFormVariablesBuilder {
  String id;

  final FirebaseDataConnect _dataConnect;
  DeleteTaxFormVariablesBuilder(this._dataConnect, {required  this.id,});
  Deserializer<DeleteTaxFormData> dataDeserializer = (dynamic json)  => DeleteTaxFormData.fromJson(jsonDecode(json));
  Serializer<DeleteTaxFormVariables> varsSerializer = (DeleteTaxFormVariables vars) => jsonEncode(vars.toJson());
  Future<OperationResult<DeleteTaxFormData, DeleteTaxFormVariables>> execute() {
    return ref().execute();
  }

  MutationRef<DeleteTaxFormData, DeleteTaxFormVariables> ref() {
    DeleteTaxFormVariables vars= DeleteTaxFormVariables(id: id,);
    return _dataConnect.mutation("deleteTaxForm", dataDeserializer, varsSerializer, vars);
  }
}

@immutable
class DeleteTaxFormTaxFormDelete {
  final String id;
  DeleteTaxFormTaxFormDelete.fromJson(dynamic json):
  
  id = nativeFromJson<String>(json['id']);
  @override
  bool operator ==(Object other) {
    if(identical(this, other)) {
      return true;
    }
    if(other.runtimeType != runtimeType) {
      return false;
    }

    final DeleteTaxFormTaxFormDelete otherTyped = other as DeleteTaxFormTaxFormDelete;
    return id == otherTyped.id;
    
  }
  @override
  int get hashCode => id.hashCode;
  

  Map<String, dynamic> toJson() {
    Map<String, dynamic> json = {};
    json['id'] = nativeToJson<String>(id);
    return json;
  }

  DeleteTaxFormTaxFormDelete({
    required this.id,
  });
}

@immutable
class DeleteTaxFormData {
  final DeleteTaxFormTaxFormDelete? taxForm_delete;
  DeleteTaxFormData.fromJson(dynamic json):
  
  taxForm_delete = json['taxForm_delete'] == null ? null : DeleteTaxFormTaxFormDelete.fromJson(json['taxForm_delete']);
  @override
  bool operator ==(Object other) {
    if(identical(this, other)) {
      return true;
    }
    if(other.runtimeType != runtimeType) {
      return false;
    }

    final DeleteTaxFormData otherTyped = other as DeleteTaxFormData;
    return taxForm_delete == otherTyped.taxForm_delete;
    
  }
  @override
  int get hashCode => taxForm_delete.hashCode;
  

  Map<String, dynamic> toJson() {
    Map<String, dynamic> json = {};
    if (taxForm_delete != null) {
      json['taxForm_delete'] = taxForm_delete!.toJson();
    }
    return json;
  }

  DeleteTaxFormData({
    this.taxForm_delete,
  });
}

@immutable
class DeleteTaxFormVariables {
  final String id;
  @Deprecated('fromJson is deprecated for Variable classes as they are no longer required for deserialization.')
  DeleteTaxFormVariables.fromJson(Map<String, dynamic> json):
  
  id = nativeFromJson<String>(json['id']);
  @override
  bool operator ==(Object other) {
    if(identical(this, other)) {
      return true;
    }
    if(other.runtimeType != runtimeType) {
      return false;
    }

    final DeleteTaxFormVariables otherTyped = other as DeleteTaxFormVariables;
    return id == otherTyped.id;
    
  }
  @override
  int get hashCode => id.hashCode;
  

  Map<String, dynamic> toJson() {
    Map<String, dynamic> json = {};
    json['id'] = nativeToJson<String>(id);
    return json;
  }

  DeleteTaxFormVariables({
    required this.id,
  });
}

